6.0.0-git
2019-03-18

[#14257] HORDE [imp] Call to a member function getFlags()
Summary HORDE [imp] Call to a member function getFlags()
Queue IMP
Queue Version 6.2.12
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester gerard.breiner (at) ias (dot) u-psud (dot) fr
Created 2016-02-16 (1126 days ago)
Due
Updated 2017-10-20 (514 days ago)
Assigned 2016-04-02 (1080 days ago)
Resolved 2016-04-04 (1078 days ago)
Milestone
Patch No

History
2017-10-20 20:33:38 Git Commit Comment #23 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 43cf18a140b3294e3e31e2bf698506975ef59700
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon, 04 Apr 2016 11:05:56 -0400

Bug: 14257 Protect against empty fetch results.

This can happen when deleting a message in Basic view when
the IMAP server does not support CONDSTORE or QRESYNC.

  M lib/Maillog/Storage/Mdnsent.php

https://github.com/horde/imp/commit/43cf18a140b3294e3e31e2bf698506975ef59700
2016-04-05 10:01:28 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #22 Reply to this comment
IMP 6.2.14
Many thanks Michael. It works very fine.

Gérard
2016-04-04 15:08:32 Michael Rubinsky Comment #21
State ⇒ Resolved
Reply to this comment
IMP 6.2.14
2016-04-04 15:08:02 Git Commit Comment #20 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit df97cdb84d954d44abb47105340055c724449eaf
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Apr 4 11:05:56 2016 -0400

     Bug: 14257 Protect against empty fetch results.

     This can happen when deleting a message in Basic view when
     the IMAP server does not support CONDSTORE or QRESYNC.

  imp/lib/Maillog/Storage/Mdnsent.php |    9 +++++++--
  1 files changed, 7 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/df97cdb84d954d44abb47105340055c724449eaf
2016-04-04 14:51:01 Michael Rubinsky Comment #19 Reply to this comment
Can now reproduce. This can happen when QRESYNC/CONDSTORE is 
unavailable on the server.
2016-04-02 19:51:03 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2016-03-16 10:13:52 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #18 Reply to this comment

[Show Quoted Text - 57 lines]
It seems that IMP_Maillog class is only used in basic mode ?
Therefore I replaced Maillog.php with Maillog.php from imp-6.1.8. I 
know it's not the better way but it works very fine like this.

Best regards.

Gérard Breiner
2016-03-09 13:42:48 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #17 Reply to this comment
So, this error occurs *after* the email is deleted, while it 
attempting to load the next email?
Yes it is...

To summarize :

I applied Horde::debug as you ask me, it I get a file horde_debug.txt:

Just before I delete the mail, I get from horde_debug.txt this information :

----------------------------------------
class Horde_Imap_Client_Fetch_Results#629 (3) {
   protected $_data =>
   array(1) {
     [123069] =>
     class Horde_Imap_Client_Data_Fetch#611 (1) {
       protected $_data =>
       array(3) {
         ...
       }
     }
   }
   protected $_keyType =>
   int(2)
   protected $_obClass =>
   string(28) "Horde_Imap_Client_Data_Fetch"
}

After having deleted the message, I get from horde_debug.txt that 
$_data is empty:

  class Horde_Imap_Client_Fetch_Results#1130 (3) {
   protected $_data =>
   array(0) {
   }
   protected $_keyType =>
   int(2)
   protected $_obClass =>
   string(28) "Horde_Imap_Client_Data_Fetch"
}

The backtrace is the same in each case:

Backtrace:
1. IMP_Basic_Base->__construct() /www/horde5/imp/basic.php:34
2. IMP_Basic_Message->_init() /www/horde5/imp/lib/Basic/Base.php:69
3. IMP_Maillog->getLog() /www/horde5/imp/lib/Basic/Message.php:913
4. IMP_Maillog_Storage_Composite->getLog() /www/horde5/imp/lib/Maillog.php:67
5. IMP_Maillog_Storage_Mdnsent->getLog() 
/www/horde5/imp/lib/Maillog/Storage/Composite.php:64
6. Horde::debug() /www/horde5/imp/lib/Maillog/Storage/Mdnsent.php:70

I guess that getLog()  should not be triggered again ?

Best regards.

Gerard Breiner
2016-03-04 22:36:34 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #16 Reply to this comment

[Show Quoted Text - 18 lines]
After testing, I can say this issue has appeared with imp v6.2.0alpha1 
whereas imp-6.1.8 works very fine.

Best regards.

Gerard
2016-03-03 23:01:52 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #15
New Attachment: horde_debug[1].txt Download
Reply to this comment

[Show Quoted Text - 11 lines]
I've followed your advices... Here is the new file in attachment.

Thanks.

Gerard

2016-03-03 16:27:23 Michael Rubinsky Comment #14 Reply to this comment
Try this next. You can remove the previously added debug statement:

Horde::debug($imp_imap->fetch(
   $mbox,
   $query,
   array(
     'ids' => $imp_imap->getIdsOb($uid)
   )
));

Put this in the same place as the previous debug statement.
2016-03-03 16:24:27 Michael Rubinsky Comment #13 Reply to this comment
So, this error occurs *after* the email is deleted, while it 
attempting to load the next email?
2016-03-03 14:30:21 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #12
New Attachment: horde_debug.txt Download
Reply to this comment

[Show Quoted Text - 14 lines]
Here is the file this time....
2016-03-03 14:27:57 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #11 Reply to this comment

[Show Quoted Text - 9 lines]
Here is in attachment the file horde_debug.txt I get.

Thanks.

Gerard
2016-03-03 14:06:32 Michael Rubinsky Comment #10
State ⇒ Feedback
Reply to this comment
Try placing:

Horde::debug(array($mbox, $uid));

before the "try {" line on line 64 of Mdnsent.php (the file mentioned 
in your error). It doesn't make any sense to me why this would be 
called after deleting a message, this line will output a stack trace 
in a file named horde_debug.txt in your system's temporary directory.
2016-03-03 11:21:51 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #9 Reply to this comment
I cannot reproduce either.
In order to track this issue, I created a new database and  made a new 
fresh install of horde  by pear and I installed only imp. What i can 
say is this issue happens again.

Not when I delete the message from the list :
https://myserver/imp/basic.php?page=mailbox

This error happens when I delete the message from :
https://myserver/imp/basic.php?mailbox=SU5CT1g&buid=122924&page=message

Thanks.

Gerard
2016-03-02 18:30:58 Michael Rubinsky Comment #8
State ⇒ Not Reproducible
Reply to this comment
I cannot reproduce either.
2016-02-17 14:02:28 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #7 Reply to this comment
Cannot reproduce.
I tried with maillog enabled and disabled, with or without trash 
folder, from mailbox view and message view, with or without 
returning to mailbox after deletion.
I forgot to precise that this error happens only in basic mode when 
option ?Move deleted messages to your Trash mailbox instead of marking 
them as deleted in the current mailbox?" But if I did understand you 
have checked this option too.

Thank you for having considered this problem.

Gerard









2016-02-17 11:46:11 Jan Schneider Comment #6
Priority ⇒ 1. Low
Reply to this comment
Cannot reproduce.
I tried with maillog enabled and disabled, with or without trash 
folder, from mailbox view and message view, with or without returning 
to mailbox after deletion.
2016-02-17 10:48:19 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #5 Reply to this comment
Is this happening on every message?
Yes this issue happens for every message. Nevertheless the message is 
deleted but it is not in the trash.

2016-02-17 10:40:48 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
Is this happening on every message?
2016-02-17 10:32:18 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #3 Reply to this comment
Sorry, When I tried again I was in  dynamic mode. If we are in basic 
mode this error really occured. The upgrade from imp 6.2.11 to 6.2.12 
doesn't solved this issue.

Best regards.

Gérard

[Show Quoted Text - 27 lines]
2016-02-17 09:45:25 Jan Schneider State ⇒ Not A Bug
 
2016-02-17 09:20:35 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #2 Reply to this comment
Hello,

It was in IMP 6.2.11 that this error occured. With 6.2.12 there is no 
problem. I just forgot to clear the cache after the upgrade. I run   
./pear/pear -c ./pear.conf clear-cache and all works very fine. Sorry 
for the inconvenience...

Many thanks for having solved this issue.

Gérard Breiner

[Show Quoted Text - 15 lines]
2016-02-16 10:42:59 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ HORDE [imp] Call to a member function getFlags()
Due ⇒ 2016-02-16
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello all,

This error  occured only in basic mode and only when we open the 
message and clik ?delete".
EMERG: HORDE [imp] Call to a member function getFlags() on a 
non-object [pid 25637 on line 68 of 
"/www/horde/imp/lib/Maillog/Storage/Mdnsent.php"


Thanks in advance.

Best regards.

Gerard Breiner

Saved Queries